using Nox.Platform;

namespace Nox.Input {
    public class DesktopInput : IInput {
        private readonly PlatformSettings platformSettings;

        public DesktopInput(PlatformSettings platformSettings) {
            this.platformSettings = platformSettings;
        }

        public void Initialize() {
            SetupInput();
        }

        private void SetupInput() {
            platformSettings.inputSettings.inputActions = new InputSystem_Actions();
            platformSettings.inputSettings.inputActions.Enable();
        }

        public void Tick() { }

        public void Dispose() {
            platformSettings.inputSettings.inputActions.Disable();
        }
    }

}
